From: "Matthew Smith" <matthew@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/tree-sitter-tsx/
Date: Tue, 11 Jun 2024 16:53:38 +0000 (UTC) [thread overview]
Message-ID: <1718124729.a90fc73eeff4faf712b5b52a21343cb02abd916f.matthew@gentoo> (raw)
commit: a90fc73eeff4faf712b5b52a21343cb02abd916f
Author: Arsen Arsenović <arsen <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 9 20:45:29 2024 +0000
Commit: Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Tue Jun 11 16:52:09 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a90fc73e
dev-libs/tree-sitter-tsx: new package, add 0.20.6
Closes: https://github.com/gentoo/gentoo/pull/37099
Signed-off-by: Arsen Arsenović <arsen <AT> gentoo.org>
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>
dev-libs/tree-sitter-tsx/Manifest | 1 +
dev-libs/tree-sitter-tsx/metadata.xml | 15 +++++++++++++
.../tree-sitter-tsx/tree-sitter-tsx-0.20.6.ebuild | 25 ++++++++++++++++++++++
3 files changed, 41 insertions(+)
diff --git a/dev-libs/tree-sitter-tsx/Manifest b/dev-libs/tree-sitter-tsx/Manifest
new file mode 100644
index 000000000000..98b4f7475867
--- /dev/null
+++ b/dev-libs/tree-sitter-tsx/Manifest
@@ -0,0 +1 @@
+DIST tree-sitter-tsx-0.20.6.tar.gz 1564217 BLAKE2B bc4d26bd8e4e9ca14ddf4b175cc2a2e7a81dac67e114a6e01f59ff55c5ecd63a0a359e03d78928aa965363e9c4db154a9b1917cf3aafce9fdaca3a58d60bfcc1 SHA512 f30f38aa269302eee5f738422626187111c14c7ba07982d619b200a58a20a08849f8a0e79358cad331d689afd5ab389a88b246bda30031ae354f93433e85b763
diff --git a/dev-libs/tree-sitter-tsx/metadata.xml b/dev-libs/tree-sitter-tsx/metadata.xml
new file mode 100644
index 000000000000..7b982a3cd402
--- /dev/null
+++ b/dev-libs/tree-sitter-tsx/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>arsen@gentoo.org</email>
+ <name>Arsen Arsenović</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>matthew@gentoo.org</email>
+ <name>Matthew Smith</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">tree-sitter/tree-sitter-typescript</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-libs/tree-sitter-tsx/tree-sitter-tsx-0.20.6.ebuild b/dev-libs/tree-sitter-tsx/tree-sitter-tsx-0.20.6.ebuild
new file mode 100644
index 000000000000..0eb1d05722cb
--- /dev/null
+++ b/dev-libs/tree-sitter-tsx/tree-sitter-tsx-0.20.6.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit tree-sitter-grammar
+
+MY_P=${P/tsx/typescript}
+MY_PN=${PN/tsx/typescript}
+
+DESCRIPTION="TSX grammar for Tree-sitter"
+HOMEPAGE="https://github.com/tree-sitter/tree-sitter-typescript"
+SRC_URI="https://github.com/tree-sitter/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${MY_P}/tsx
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_prepare() {
+ # fix test corpus path
+ ln -s ../common test || die
+
+ tree-sitter-grammar_src_prepare
+}
next reply other threads:[~2024-06-11 16:53 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-11 16:53 Matthew Smith [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-14 13:22 [gentoo-commits] repo/gentoo:master commit in: dev-libs/tree-sitter-tsx/ Arsen Arsenović
2024-08-17 10:45 Arsen Arsenović
2024-08-22 2:07 Sam James
2024-09-06 10:38 Arthur Zamarin
2024-10-17 7:09 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1718124729.a90fc73eeff4faf712b5b52a21343cb02abd916f.matthew@gentoo \
--to=matthew@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox